!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sparse_blas_c_include )

   !DEC$ DEFINE __sparse_blas_c_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE caxpyi(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: caxpyi
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: a
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
      END SUBROUTINE caxpyi
   END INTERFACE

   INTERFACE
      FUNCTION cdotci(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: cdotci
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
         COMPLEX(KIND=4) :: cdotci
      END FUNCTION cdotci
   END INTERFACE

   INTERFACE
      FUNCTION cdotui(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: cdotui
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
         COMPLEX(KIND=4) :: cdotui
      END FUNCTION cdotui
   END INTERFACE

   INTERFACE
      SUBROUTINE cgthr(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: cgthr
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: y(*)
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE cgthr
   END INTERFACE

   INTERFACE
      SUBROUTINE cgthrs(nz,a,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: cgthrs
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: a
         COMPLEX(KIND=4) :: y(*)
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE cgthrs
   END INTERFACE

   INTERFACE
      SUBROUTINE cgthrz(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: cgthrz
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: y(*)
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE cgthrz
   END INTERFACE

   INTERFACE
      SUBROUTINE csctr(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: csctr
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
      END SUBROUTINE csctr
   END INTERFACE

   INTERFACE
      SUBROUTINE csctrs(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: csctrs
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: a
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
      END SUBROUTINE csctrs
   END INTERFACE

   INTERFACE
      SUBROUTINE csumi(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: csumi
         INTEGER(KIND=4) :: nz
         COMPLEX(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         COMPLEX(KIND=4) :: y(*)
      END SUBROUTINE csumi
   END INTERFACE

!DEC$ ENDIF
